package com.ruoyi.system.domain.dto;

import com.ruoyi.common.core.annotation.Excel;
import java.io.Serializable;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class SnServerLogDto implements Serializable {
   private static final long serialVersionUID = 1L;
   @Excel(
      name = "日志ID"
   )
   private Long logId;
   private Long serverId;
   @Excel(
      name = "服务器IP"
   )
   private String serverIp;
   @Excel(
      name = "操作名称"
   )
   private String optName;
   @Excel(
      name = "执行状态"
   )
   private Integer status;
   @Excel(
      name = "耗时"
   )
   private Long time;

   public String toString() {
      return (new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)).append("logId", this.getLogId()).append("serverId", this.getServerId()).append("serverIp", this.getServerIp()).append("optName", this.getOptName()).append("status", this.getStatus()).append("time", this.getTime()).toString();
   }

   public Long getLogId() {
      return this.logId;
   }

   public Long getServerId() {
      return this.serverId;
   }

   public String getServerIp() {
      return this.serverIp;
   }

   public String getOptName() {
      return this.optName;
   }

   public Integer getStatus() {
      return this.status;
   }

   public Long getTime() {
      return this.time;
   }

   public void setLogId(Long logId) {
      this.logId = logId;
   }

   public void setServerId(Long serverId) {
      this.serverId = serverId;
   }

   public void setServerIp(String serverIp) {
      this.serverIp = serverIp;
   }

   public void setOptName(String optName) {
      this.optName = optName;
   }

   public void setStatus(Integer status) {
      this.status = status;
   }

   public void setTime(Long time) {
      this.time = time;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SnServerLogDto)) {
         return false;
      } else {
         SnServerLogDto other = (SnServerLogDto)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$logId = this.getLogId();
            Object other$logId = other.getLogId();
            if (this$logId == null) {
               if (other$logId != null) {
                  return false;
               }
            } else if (!this$logId.equals(other$logId)) {
               return false;
            }

            Object this$serverId = this.getServerId();
            Object other$serverId = other.getServerId();
            if (this$serverId == null) {
               if (other$serverId != null) {
                  return false;
               }
            } else if (!this$serverId.equals(other$serverId)) {
               return false;
            }

            Object this$status = this.getStatus();
            Object other$status = other.getStatus();
            if (this$status == null) {
               if (other$status != null) {
                  return false;
               }
            } else if (!this$status.equals(other$status)) {
               return false;
            }

            label62: {
               Object this$time = this.getTime();
               Object other$time = other.getTime();
               if (this$time == null) {
                  if (other$time == null) {
                     break label62;
                  }
               } else if (this$time.equals(other$time)) {
                  break label62;
               }

               return false;
            }

            label55: {
               Object this$serverIp = this.getServerIp();
               Object other$serverIp = other.getServerIp();
               if (this$serverIp == null) {
                  if (other$serverIp == null) {
                     break label55;
                  }
               } else if (this$serverIp.equals(other$serverIp)) {
                  break label55;
               }

               return false;
            }

            Object this$optName = this.getOptName();
            Object other$optName = other.getOptName();
            if (this$optName == null) {
               if (other$optName != null) {
                  return false;
               }
            } else if (!this$optName.equals(other$optName)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SnServerLogDto;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $logId = this.getLogId();
      result = result * 59 + ($logId == null ? 43 : $logId.hashCode());
      Object $serverId = this.getServerId();
      result = result * 59 + ($serverId == null ? 43 : $serverId.hashCode());
      Object $status = this.getStatus();
      result = result * 59 + ($status == null ? 43 : $status.hashCode());
      Object $time = this.getTime();
      result = result * 59 + ($time == null ? 43 : $time.hashCode());
      Object $serverIp = this.getServerIp();
      result = result * 59 + ($serverIp == null ? 43 : $serverIp.hashCode());
      Object $optName = this.getOptName();
      result = result * 59 + ($optName == null ? 43 : $optName.hashCode());
      return result;
   }
}
